Bug 823167 - Review Request: perl-B-Hooks-OP-Annotation - Annotate and delegate hooked OPs
Review Request: perl-B-Hooks-OP-Annotation - Annotate and delegate hooked OPs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
http://search.cpan.org/dist/B-Hooks-O...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-19 12:16 EDT by Iain Arnell
Modified: 2012-06-17 18:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-17 18:25:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2012-05-19 12:16:20 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-B-Hooks-OP-Annotation.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-B-Hooks-OP-Annotation-0.44-1.fc18.src.rpm

Description:
This module provides a way for XS code that hijacks OP op_ppaddr functions
to delegate to (or restore) the previous functions, whether assigned by
perl or by another module. Typically this should be used in conjunction
with B::Hooks::OP::Check.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4089012

*rt-0.10_02
Comment 1 Jitka Plesnikova 2012-05-25 07:44:32 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[-]: MUST Package does not contain kernel modules.
[-]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[-]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[!]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/jplesnik/review/tmp/823167/B-Hooks-OP-Annotation-0.44.tar.gz :
  MD5SUM this package     : 18b1f0088850effe58ccb4a7c9dc4024
  MD5SUM upstream package : 18b1f0088850effe58ccb4a7c9dc4024
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Rpmlint is run on all installed packages.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

TODO
* Add build-requires 'perl(base)' and 'perl(DynaLoader)' (lib/B/Hooks/OP/Annotation.pm:8).

Please consider fixing the `TODO' item before building the package.

Package APPROVED.


Generated by fedora-review 0.2.0git
Comment 2 Iain Arnell 2012-06-03 12:51:56 EDT
Thanks for the review.

New Package SCM Request
=======================
Package Name: perl-B-Hooks-OP-Annotation
Short Description: Annotate and delegate hooked OPs
Owners: iarnell
Branches: f16 f17
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2012-06-04 08:08:27 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-06-09 11:40:55 EDT
perl-B-Hooks-OP-Annotation-0.44-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-B-Hooks-OP-Annotation-0.44-1.fc17
Comment 5 Fedora Update System 2012-06-09 11:41:07 EDT
perl-B-Hooks-OP-Annotation-0.44-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-B-Hooks-OP-Annotation-0.44-1.fc16
Comment 6 Fedora Update System 2012-06-09 21:31:08 EDT
perl-B-Hooks-OP-Annotation-0.44-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 7 Fedora Update System 2012-06-17 18:25:33 EDT
perl-B-Hooks-OP-Annotation-0.44-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 8 Fedora Update System 2012-06-17 18:26:10 EDT
perl-B-Hooks-OP-Annotation-0.44-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.